import es
import playerlib
import random
import gamethread
import popuplib
import weaponlib
import usermsg
import threading
import urllib2
from configobj import ConfigObj


###VERAENDERE NICHTS UNTER DIESER LINIE###

config = es.getString("eventscripts_gamedir" ) + '/cfg/santasseek/santasseek_config.cfg'
configload = ConfigObj(config)
joinnachricht = int(configload["joinnachricht"])
joinsoundplay = int(configload["joinsoundplay"])
joinsoundauswahl = configload["joinsoundauswahl"]
actionsound = int(configload["actionsound"])
terrorspeed = float(configload["terrorspeed"])
teamwechsel = int(configload["teamwechsel"])
downloadfilter = int(configload["downloadfilter"])
spielerafk = int(configload["spielerafk"])
weaponfire = int(configload["weaponfire"])
winnersound = int(configload["winnersound"])
thirdpersonspawn = int(configload["thirdpersonspawn"])
granaten = int(configload["granaten"])
snipergewehre = int(configload["snipergewehre"])
overridemode = int(configload["overridemode"])
anzahlct = int(configload["anzahlct"])
speckick = int(configload["speckick"])
randpop = int(configload["randpop"])
entkommenmod = int(configload["entkommenmod"])
terrordeathblind = int(configload["terrordeathblind"])
blocknoblock = int(configload["blocknoblock"])
terrorradar = int(configload["terrorradar"])
drittepersonmod = int(configload["drittepersonmod"])
whistlemod = int(configload["whistlemod"])
spielereinfrieren = int(configload["spielereinfrieren"])
rundeunlimitiert = int(configload["rundeunlimitiert"])
whistledamage = int(configload["whistledamage"])
startblind = int(configload["startblind"])
startfreeze = int(configload["startfreeze"])
vampirehealth = int(configload["vampirehealth"])
hplose = int(configload["hplose"])
autowaffe = int(configload["autowaffe"])
startsek = int(configload["startsek"])
prime = configload["prime"]
second = configload["second"]
jumpfun = int(configload["jumpfun"])
funnoclip = int(configload["funnoclip"])
spezial = configload["spezial"]
update = configload["update"]

configmaps = ConfigObj(es.getAddonPath("santasseek") + "/maps.txt")
modellist = {}
for x in configmaps.keys():
	modellist[x] = {}
	counter = 1
	for y in configmaps[x]:
		modellist[x][counter] = [y, configmaps[x][y]]
		counter = counter + 1
		
info = es.AddonInfo()
info.name = "Santas Seek"
info.version = "2.5"
info.author = "Santa + Popoklopsi"
info.url = "http://www.pup-board.de/"
info.basename = "santasseek"
info.description = "Hide n Seek Mod fuer CSS"
info.copyright = "2010 - 2120"

deineversion = float(info.version)
aktuelleversion = float(info.version)
versiondate = 0

class versionschauen(threading.Thread):
	def run(self):
		global aktuelleversion
		global versiondate
		version_date = urllib2.urlopen("http://pup-board.de/checksanta.php").read()
		version_date_split = version_date.split(',')
		aktuelleversion = float(version_date_split[0])
		versiondate = version_date_split[1]


def load():
	versionschauen().start()
	es.set("%s" % info.basename,info.version)
	es.makepublic("%s" % info.basename)

	es.server.queuecmd('mp_flashlight 0')
	es.server.queuecmd('mp_freezetime 2')
	es.server.queuecmd('eventscripts_noisy 1')
	es.server.queuecmd('est_hookkey -1 duck')
	
	
	es.stringtable('downloadables', 'sound/santasseek/start.mp3')
	es.stringtable('downloadables', 'sound/santasseek/ctwin.wav')
	es.stringtable('downloadables', 'sound/santasseek/terwin.wav')
	es.stringtable('downloadables', 'sound/santasseek/buzzer.mp3')
	es.stringtable('downloadables', 'sound/santasseek/caralarm.mp3')
	es.stringtable('downloadables', 'sound/santasseek/cartoon.mp3')
	es.stringtable('downloadables', 'sound/santasseek/evillaugh.mp3')
	es.stringtable('downloadables', 'sound/santasseek/mammi.mp3')
	es.stringtable('downloadables', 'sound/santasseek/mw.mp3')
	es.stringtable('downloadables', 'sound/santasseek/popi.mp3')
	es.stringtable('downloadables', 'sound/santasseek/plop.mp3')
	es.stringtable('downloadables', 'sound/santasseek/hiderman.wav')
	es.stringtable('downloadables', 'sound/santasseek/warning.mp3')
	es.stringtable('downloadables', 'sound/santasseek/mjump.wav')
	es.stringtable('downloadables', 'sound/santasseek/startup.mp3')
	es.stringtable('downloadables', 'sound/santasseek/bizkit.mp3')
	es.stringtable('downloadables', 'sound/santasseek/packsie.mp3')
	
	infopop = popuplib.create('info1')
	infopop.addline ('Infos/Credits')
	infopop.addline ('----------')
	infopop.addline ('Hier gehts darum das man als')
	infopop.addline ('Terror ueberlebt indem man sich')
	infopop.addline ('gut versteckt. Die CTs sind als')
	infopop.addline ('Sucher unterwegs und werden')
	infopop.addline ('versuchen die Terrors aufzuspueren!')
	infopop.addline ('----------')
	infopop.addline ('->9. Credits')
	infopop.addline ('->0. Schliessen')
	infopop.submenu (9, "credits")
	
	credits = popuplib.create('credits')
	credits.addline ('Infos/Credits')
	credits.addline ('----------')
	credits.addline ('Autor: %s' % info.author)
	credits.addline ('Mod: %s' % info.name)
	credits.addline ('Version: %s' % info.version)
	credits.addline ('URL: %s' % info.url)
	credits.addline ('Copyright: %s' % info.copyright)
	credits.addline ('----------')
	credits.addline ('->9. Infos')
	credits.addline ('->0. Schliessen')
	credits.submenu (9, "info1")
	
	rules = popuplib.create('rules')
	rules.addline ('Regel Menu')
	rules.addline ('----------')
	rules.addline ('->1. Ballert nicht sinnlos in der Gegend herum!')
	rules.addline ('Es koennte euch einen nachteil bringen;)')
	rules.addline ('->2. Verhaltet euch Fair!')
	rules.addline ('->3. Keine Cheats!')
	rules.addline ('->4. Keine Beschimpfungen!')
	rules.addline ('----------')
	rules.addline ('->0. Schliessen')
	
	configpop = popuplib.create('configpop')
	configpop.addline ('Config')
	configpop.addline ('----------')
	configpop.addline ('Um mitspielen zu koennen musst du')
	configpop.addline ('einige Einstellungen vornehmen.')
	configpop.addline ('Schreibe dazu, cl_radaralpha 0 und')
	configpop.addline ('cl_minmodels 0 in deine Console!')
	configpop.addline ('Ebenfalls solltest du drauf achten')
	configpop.addline ('das du alles Downloaden kannst, schreibe')
	configpop.addline ('dazu cl_downloadfilter all, ebenfalls')
	configpop.addline ('in deine Console.')
	configpop.addline ('Viel Spass beim spielen!')
	configpop.addline ('----------')
	configpop.addline ('->9. Wie oeffne ich die Console')
	configpop.addline ('->0. Schliessen')
	configpop.submenu (9, "console")
	
	whistlepopup = popuplib.create('whistle')
	whistlepopup.addline ('Mach dich bemerkbar!')
	whistlepopup.addline ('----------')
	whistlepopup.addline ('->1. Buzzer')
	whistlepopup.addline ('->2. Alarm')
	whistlepopup.addline ('->3. Und weg...')
	whistlepopup.addline ('->4. Boeses Lachen')
	whistlepopup.addline ('->5. Mammi')
	whistlepopup.addline ('->6. LAUT!!!')
	whistlepopup.addline ('->7. Quietsch')
	whistlepopup.addline ('----------')
	whistlepopup.addline ('->0. Schliessen')
	whistlepopup.menuselect = whistle
	
	chatterror = popuplib.create('chatt')
	chatterror.addline ('Chat Befehle Hider')
	chatterror.addline ('----------')
	if blocknoblock == 1:
		chatterror.addline ('->1. !noblock')
		chatterror.addline ('->2. !block')
	if drittepersonmod == 1:
		chatterror.addline ('->3. !1person')
		chatterror.addline ('->4. !3person')
	if whistlemod == 1:
		chatterror.addline ('->5. !whistle')
	if spielereinfrieren == 1:
		chatterror.addline ('->6. !freeze')
		chatterror.addline ('->7. !unfreeze')
	chatterror.addline ('----------')
	chatterror.addline ('->9. Weiter')
	chatterror.addline ('->0. Schliessen')
	chatterror.submenu (9, "chattt")
	chatterror.menuselect = chatt
	
	chattse = popuplib.create('chattt')
	chattse.addline ('Chat Befehle Hider')
	chattse.addline ('----------')
	if teamwechsel == 1:
		chattse.addline ('->1. !seeker')
	if entkommenmod == 1:
		chattse.addline ('->2. !escape')
	chattse.addline ('->3. !info')
	chattse.addline ('->4. !listmaps')
	if spielerafk == 1:
		chattse.addline ('->5. !afk')
	chattse.addline ('----------')
	chattse.addline ('->8. Zurueck')
	chattse.addline ('->0. Schliessen')
	chattse.submenu (8, "chatt")
	chattse.menuselect = chattt
	
	chattwopopup = popuplib.create('chatct')
	chattwopopup.addline ('Chat Befehle Seeker')
	chattwopopup.addline ('----------')
	chattwopopup.addline ('->1. !info')
	chattwopopup.addline ('->2. !listmaps')
	if teamwechsel == 1:
		chattwopopup.addline ('->3. !hider')
	if spielerafk == 1:
		chattwopopup.addline ('->4. !afk')
	chattwopopup.addline ('----------')
	chattwopopup.addline ('->0. Schliessen')
	chattwopopup.menuselect = chatct
	
	welcomepopup = popuplib.create('welcome')
	welcomepopup.addline ('Herzlich Willkommen')
	welcomepopup.addline (' ')
	welcomepopup.addline ('Wir spielen hier: %s' % info.name)
	welcomepopup.addline ('In der Version: %s' % info.version)
	welcomepopup.addline ('Ein %s' % info.description)
	welcomepopup.addline (' ')
	welcomepopup.addline ('Scripted by: %s' % info.author)
	welcomepopup.addline ('Support: %s' % info.url)
	welcomepopup.addline ('----------')
	welcomepopup.addline ('Aktivierte Plugins:')
	if overridemode == 0:
		welcomepopup.addline ('->1. Team Limit: Max. %s Sucher' % anzahlct)
	if overridemode == 1:
		welcomepopup.addline ('->1. Override Mode')
	if weaponfire == 1:
		welcomepopup.addline ('->2. Weapon Hurt')
	if drittepersonmod == 1:
		welcomepopup.addline ('->3. Third Person')
	if thirdpersonspawn == 1:
		welcomepopup.addline ('Third Person Spawn')
	if blocknoblock == 1:
		welcomepopup.addline ('->4. NoBlock')
	if whistlemod == 1:
		if rundeunlimitiert == 1:
			welcomepopup.addline ('->5. Whistel einmal pro Runde')
		if rundeunlimitiert == 0:
			welcomepopup.addline ('->5. Whistel Unlimited')
	if randpop == 0:
		welcomepopup.addline ('Sounds werden Automatisch ausgesucht.')
	if randpop == 1:
		welcomepopup.addline ('Sound ueber Popup Auswaehlbar.')
	if autowaffe == 1:
		welcomepopup.addline ('->6. Automatisch M4 und Deagle')
	if startsek == 1:
		welcomepopup.addline ('->7. Spawn Protection')
	welcomepopup.addline (' ')
	welcomepopup.addline ('----------')
	welcomepopup.addline ('->8. Regeln')
	welcomepopup.addline ('->9. Info')
	welcomepopup.addline ('->0. Schliessen')
	welcomepopup.submenu (8, "rules")
	welcomepopup.submenu (9, "info1")
	
	consolepop = popuplib.create('console')
	consolepop.addline ('Wie oeffne ich die Console')
	consolepop.addline ('----------')
	consolepop.addline ('Oeffne den Bildschirm "Meine Spiele",')
	consolepop.addline ('danach machst du einen Rechtsklick auf')
	consolepop.addline ('das Counter Strike Souce Icon und klickst')
	consolepop.addline ('du auf "Eigenschaften" danach waehlst du')
	consolepop.addline ('"Startoptionen festlegen" aus. Dort schreibst')
	consolepop.addline ('du dann, "-console" rein und drueckst auf "OK"')
	consolepop.addline ('Wenn du nun dein CSS startest hast du die Console')
	consolepop.addline ('erfolgreich eingeschaltet.')
	consolepop.addline ('----------')
	consolepop.addline ('->0. Schliessen')
	
	
	global benutzt
	benutzt = {}
	

	
def es_map_start(ev):
	versionschauen().start()
	es.stringtable('downloadables', 'sound/santasseek/start.mp3')
	es.stringtable('downloadables', 'sound/santasseek/ctwin.wav')
	es.stringtable('downloadables', 'sound/santasseek/terwin.wav')
	es.stringtable('downloadables', 'sound/santasseek/buzzer.mp3')
	es.stringtable('downloadables', 'sound/santasseek/caralarm.mp3')
	es.stringtable('downloadables', 'sound/santasseek/cartoon.mp3')
	es.stringtable('downloadables', 'sound/santasseek/evillaugh.mp3')
	es.stringtable('downloadables', 'sound/santasseek/mammi.mp3')
	es.stringtable('downloadables', 'sound/santasseek/mw.mp3')
	es.stringtable('downloadables', 'sound/santasseek/popi.mp3')
	es.stringtable('downloadables', 'sound/santasseek/plop.mp3')
	es.stringtable('downloadables', 'sound/santasseek/hiderman.wav')
	es.stringtable('downloadables', 'sound/santasseek/warning.mp3')
	es.stringtable('downloadables', 'sound/santasseek/mjump.wav')
	es.stringtable('downloadables', 'sound/santasseek/startup.mp3')
	es.stringtable('downloadables', 'sound/santasseek/bizkit.mp3')
	es.stringtable('downloadables', 'sound/santasseek/packsie.mp3')

	
	maplistpop = popuplib.easymenu('mappopup', None, listmaps)
	mapaims = popuplib.easymenu('mapaims', None, showit)
	mapawps = popuplib.easymenu('mapawps', None, showit)
	mapbas = popuplib.easymenu('mapbas', None, showit)
	mapcss = popuplib.easymenu('mapcss', None, showit)
	mapdes = popuplib.easymenu('mapdes', None, showit)
	mapdms = popuplib.easymenu('mapdms', None, showit)
	mapfys = popuplib.easymenu('mapfys', None, showit)
	mapggs = popuplib.easymenu('mapggs', None, showit)
	mapzms = popuplib.easymenu('mapzms', None, showit)
	mapsonss = popuplib.easymenu('mapsonss', None, showit)
	for x in modellist.keys():
		if x.startswith("aim_"):
			mapaims.addoption(x, x)
		elif x.startswith("awp_"):
			mapawps.addoption(x, x)
		elif x.startswith("ba_"):
			mapbas.addoption(x, x)
		elif x.startswith("cs_"):
			mapcss.addoption(x, x)
		elif x.startswith("de_"):
			mapdes.addoption(x, x)
		elif x.startswith("dm_"):
			mapdms.addoption(x, x)
		elif x.startswith("fy_"):
			mapfys.addoption(x, x)
		elif x.startswith("gg_"):
			mapggs.addoption(x, x)
		elif x.startswith("zm_"):
			mapzms.addoption(x, x)
		else:
			mapsonss.addoption(x, x)
	maplistpop.settitle("Santas Seek Maps:")
	maplistpop.addoption("mapaims", "aim_Maps")
	maplistpop.addoption("mapawps", "awp_ Maps")
	maplistpop.addoption("mapbas", "ba_ Maps")
	maplistpop.addoption("mapcss", "cs_ Maps")
	maplistpop.addoption("mapdes", "de_ Maps")
	maplistpop.addoption("mapdms", "dm_ Maps")
	maplistpop.addoption("mapfys", "fy_ Maps")
	maplistpop.addoption("mapggs", "gg_ Maps")
	maplistpop.addoption("mapzms", "zm_ Maps")
	maplistpop.addoption("mapsonss", "Sonstige Maps")

               
def listmaps(userid,choice,popupid):
	popuplib.send(choice, userid)
	
def showit(userid,choice,popupid):
	pass	
	
def player_activate(ev):
	steamid9 = ev["es_steamid"]
	name = ev["es_username"]
	if steamid9 in spezial:
		es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultist dem Spiel beigetreten!' % name)

	if downloadfilter == 1:
		es.queryclientvar(ev['userid'], 'cl_downloadfilter')

	if joinnachricht == 1:
		popuplib.send('welcome', ev['userid'])
		gamethread.delayed(10, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultSchreibe -> #green !info #default <- fuer die Credits.'))
		gamethread.delayed(10, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultSchreibe -> #green !regeln #default <- fuer die Regeln.'))
	
	if joinsoundplay == 1:
		userid = int(ev['userid'])
		es.cexec(userid, 'play santasseek/%s.mp3' % joinsoundauswahl)
	
	if overridemode == 0:
		es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTeam Limit: #lightgreenAktiviert.')
		team = int(es.getplayerteam(ev['userid']))
		if team == 3:
			seekanti = int(es.getplayercount(3))
			if seekanti >= anzahlct:
				es.server.queuecmd('es_changeteam %s 2' % ev['userid'])
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDas Sucher Team ist voll.')
	
	if overridemode == 1:
		es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultOverride Mode: #lightgreenAktiviert.')
		
def round_start(ev):
	es.server.queuecmd('est_remove hostage_entity')
	es.server.queuecmd('mp_flashlight 0')
	es.server.queuecmd('mp_freezetime 2')
	es.server.queuecmd('eventscripts_noisy 1')
	es.server.queuecmd('est_hookkey -1 duck')
	global benutzt
	benutzt = {}
	global starthp
	starthp = 0
	gamethread.delayedname(30, 'changehp', changeit, ())
	
	gamethread.delayedname(24, 'five', es.centermsg, ('Noch 5'))
	gamethread.delayedname(25, 'four', es.centermsg, ('4'))
	gamethread.delayedname(26, 'three', es.centermsg, ('3'))
	gamethread.delayedname(27, 'two', es.centermsg, ('2'))
	gamethread.delayedname(28, 'one', es.centermsg, ('1'))
	
	if startfreeze == 1:
		gamethread.delayedname(20, 'ten', es.msg, ('#multi', '#green[ #lightgreenSantas Seek #green] #defaultBereitet euch vor, in #lightgreen 10 Sek gehts los #default!'))
		gamethread.delayedname(29, 'los', es.msg, ('#multi', '#green[ #lightgreenSantas Seek #green] #defaultDie Sucher laufen nun los!'))
	
	for x in es.getUseridList():
		team = int(es.getplayerteam(x))
		if team == 3:
			if overridemode == 1:
				if startblind == 1:
					es.server.queuecmd('est_fade %s 0, 2, 15, 2, 2, 2, 255' % x)
			
				if startfreeze == 1:
					es.server.queuecmd('est_freeze %s 1' % x)
					gamethread.delayed(30, es.server.queuecmd, ('est_freeze %s 0' % x))
					
			if overridemode == 2:
				if startblind == 1:
					es.server.queuecmd('est_fade %s 0, 2, 15, 2, 2, 2, 255' % x)
			
				if startfreeze == 1:
					es.server.queuecmd('est_freeze %s 1' % x)
					gamethread.delayed(30, es.server.queuecmd, ('est_freeze %s 0' % x))
					
			if startfreeze == 1 and (startblind == 1):
				if actionsound == 1:		
					gamethread.delayedname(0.1, 'startup', es.cexec, (x, 'play santasseek/startup.mp3'))
		
def changeit():
	global starthp
	starthp = 1
	
def player_spawn(ev):
	es.queryclientvar(ev['userid'], 'cl_minmodels')
	es.queryclientvar(ev['userid'], 'cl_radaralpha')
	if overridemode == 0:
		es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTeam Limit: #lightgreenAktiviert.')
		team = int(es.getplayerteam(ev['userid']))
		if team == 3:
			seekanti = int(es.getplayercount(3))
			if seekanti >= anzahlct:
				es.server.queuecmd('es_changeteam %s 2' % ev['userid'])
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDas Sucher Team ist voll.')
	
	if overridemode == 1:
		steamid2 = ev["es_steamid"]
		team = int(es.getplayerteam(ev['userid']))
		if team == 3:
			seekanti = int(es.getplayercount(3))
			if seekanti >= anzahlct:
				if benutzt[steamid2]["used"] == 0:
					es.server.queuecmd('es_changeteam %s 2' % ev['userid'])
					benutzt[steamid2]["used"] = 1
	if deineversion != aktuelleversion:
		steamid10 = ev["es_steamid"]
		if steamid10 in update:
			versionpop = popuplib.create('version')
			versionpop.addline ('Santas Seek Update NEWS')
			versionpop.addline ('------------------------')
			versionpop.addline ('Update dein Santas Seek Mod!!')
			versionpop.addline ('->1. Aktuelle Version ist %.2f vom %s' % (aktuelleversion, versiondate))
			versionpop.addline ('->2. Downloade hier: %s' % info.url)
			versionpop.addline ('------------------------')
			versionpop.addline ('->0. Schliessen')
			versionpop.submenu(1, 'version')
			versionpop.submenu(2, 'version')
			versionpop.submenu(3, 'version')
			versionpop.submenu(4, 'version')
			versionpop.submenu(5, 'version')
			versionpop.submenu(6, 'version')
			versionpop.submenu(7, 'version')
			versionpop.submenu(8, 'version')
			versionpop.submenu(9, 'version')
			es.tell(ev['userid'], '#multi', '#lightgreenAktuelle Santas Seek Version#green ist %.2f vom %s' % (aktuelleversion, versiondate))
			versionpop.send(ev['userid'])
	counterall = 0
	mapnow = es.getString('eventscripts_currentmap')
	team = int(es.getplayerteam(ev['userid']))
	player = playerlib.getPlayer(ev['userid'])
	if team == 2:	
		if mapnow in modellist:
			for x in modellist[mapnow].keys():
				counterall = counterall + 1
				randzahl = random.randint(1, counterall)
				gamethread.delayed(0.2, player.set,('model', modellist[mapnow][randzahl][1]))
			gamethread.delayed(0.3, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] Dein neues Model: #lightgreen%s' % modellist[mapnow][randzahl][0]))
			gamethread.delayed(0.3, es.centertell, (ev['userid'], 'Dein neues Model: %s' % modellist[mapnow][randzahl][0]))
		gamethread.delayed(7, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultSchreibe #lightgreen-> !chatt <- #defaultfuer alle Befehle!'))
		
		if drittepersonmod == 1:
			if thirdpersonspawn == 1:
				userid = ev['userid']
				gamethread.delayed(1, es.setplayerprop, (userid, 'CBasePlayer.m_hObserverTarget', 0))
				gamethread.delayed(1, es.setplayerprop, (userid, 'CBasePlayer.m_iObserverMode', 1))
				gamethread.delayed(1, es.setplayerprop, (userid, 'CBasePlayer.localdata.m_Local.m_bDrawViewmodel', 0))
				gamethread.delayed(1, es.setplayerprop, (userid, 'CBasePlayer.m_iFOV', 100))
		
		gamethread.delayed(0.1, es.server.queuecmd, ("es_give %s player_weaponstrip" % ev['userid']))
		gamethread.delayed(0.2, es.server.queuecmd, ("es_fire %s player_weaponstrip strip" % ev['userid']))
		player.speed += terrorspeed
		userid = int(ev['userid'])
		gamethread.delayed(0.2, es.cexec, (userid, 'play santasseek/plop.mp3'))
		
		if ev["es_userdead"] == "1":
			es.server.queuecmd('est_spawn %s' % ev['userid'])
			
		if startsek == 1:
			userid = ev['userid']
			es.server.queuecmd('est_god %s 1' % userid)
			gamethread.delayed(30, es.server.queuecmd, ('est_god %s 0' % userid))
			
	if team == 3:
		if overridemode == 0:
			if startblind == 1:
				es.server.queuecmd('est_fade %s 0, 2, 15, 2, 2, 2, 255' % ev['userid'])
					
			if startfreeze == 1:
				es.server.queuecmd('est_freeze %s 1' % ev['userid'])
				gamethread.delayed(30, es.server.queuecmd, ('est_freeze %s 0' % ev['userid']))
					
		if startfreeze == 0:
			es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #defaultDie Sucher sind nicht gefreezt!')
		
		if startblind == 0:
			es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #defaultDie Sucher sind nicht blind!')
		gamethread.delayed(7, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultSchreibe #lightgreen-> !chatct <- #defaultfuer alle Befehle!'))
		
		if autowaffe == 1:
			if not player.getPrimary():
				gamethread.delayed(1, es.server.queuecmd,('es_give %s weapon_%s' % (ev['userid'], prime)))
				gamethread.delayed(1, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDu bekommst Automatisch eine #lightgreen%s, eine %s und eine HE #default!' % (prime, second)))
			if player.getSecondary() == ('weapon_usp'):
				es.server.queuecmd('est_dropweapon %s 2' % ev['userid'])
				gamethread.delayed(1, es.server.queuecmd,('es_give %s weapon_%s' % (ev['userid'], second)))
			if not player.getSecondary():
				gamethread.delayed(1, es.server.queuecmd,('es_give %s weapon_%s' % (ev['userid'], second)))
			if int(player.getHE()) == 0:
				gamethread.delayed(1, es.server.queuecmd,('es_give %s weapon_hegrenade' % ev['userid']))
				
		if funnoclip == 1:	
			userid = ev['userid']
			es.server.queuecmd('est_noclip %s 0' % userid)
			
		if startsek == 1:
			userid = ev['userid']
			es.server.queuecmd('est_god %s 1' % userid)
			gamethread.delayed(30, es.server.queuecmd, ('est_god %s 0' % userid))
		
def player_death(ev):
	team = int(es.getplayerteam(ev['userid']))
	player = playerlib.getPlayer(ev['userid'])
	if team == 2:
		if overridemode == 0:
			if terrordeathblind == 1:
				es.server.queuecmd('est_fade %s 1, 2, 100, 2, 2, 2, 255' % ev['userid'])
		player.speed -= terrorspeed
		es.cexec_all('play santasseek/hiderman.wav')
		if overridemode == 1:
			seekanti = int(es.getplayercount(3))
			seeterror = int(es.getplayercount(2))
			if seekanti > anzahlct and (seekterror > anzahlct):
				name = ev["es_username"]
				if not seekterror <= 2:
					gamethread.delayed(1, es.server.queuecmd,('es_changeteam %s 3' % ev['userid']))
					gamethread.delayed(2, es.server.queuecmd,('est_spawn %s' % ev['userid']))
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDu wurdest gefangen und musst nun mitsuchen!')
					es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultwurde gefangen genommen und muss nun mitsuchen!' % name)
			else:
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultOverride Mode: #lightgreenNicht genug Spieler!')
				gamethread.delayed(0.3, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTeam Limit: #lightgreenAktiviert.'))
				team = int(es.getplayerteam(ev['userid']))
				if team == 3:
					seekanti = int(es.getplayercount(3))
					if seekanti >= anzahlct:
						es.server.queuecmd('es_changeteam %s 2' % ev['userid'])
						es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDas Sucher Team ist voll.')
					
	if es.getplayerteam(ev['attacker']) == 3:
		es.server.queuecmd('est_killadd %s 2' % ev['attacker'])
	
	if overridemode == 0:
		gamethread.delayed(2, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenSantas Seek-Werbung #green] #defaultSupport zu diesem Script gibts auf: #lightgreenhttp://www.pup-board.de//index.php #default!'))
		gamethread.delayed(3, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenSantas Seek-Copyright #green] #defaultCopyright 2010-2120 by #lightgreenSanta #default!'))
			
def item_pickup(ev):
	team = int(es.getplayerteam(ev['userid']))
	if team == 2:
		gamethread.delayed(0.1, es.server.queuecmd, ("es_give %s player_weaponstrip" % ev['userid']))
		gamethread.delayed(0.2, es.server.queuecmd, ("es_fire %s player_weaponstrip strip" % ev['userid']))
			
	if team == 3:
		if granaten == 0:
			player = playerlib.getPlayer(ev['userid'])
			flashweap = int(player.getWeaponIndex('weapon_flashbang'))
			if flashweap:
				gamethread.delayed(0.2, es.server.queuecmd,('es_remove %i' %flashweap))
				es.cexec(ev['userid'], 'lastinv')
			
			player = playerlib.getPlayer(ev['userid'])
			smokeweap = int(player.getWeaponIndex('weapon_smokegrenade'))
			if smokeweap:
				gamethread.delayed(0.2, es.server.queuecmd,('es_remove %i' %smokeweap))
				es.cexec(ev['userid'], 'lastinv')
		
		if snipergewehre == 1:
			player = playerlib.getPlayer(ev['userid'])
			scoutweap = int(player.getWeaponIndex('weapon_scout'))
			if scoutweap:
				gamethread.delayed(0.2, es.server.queuecmd,('es_remove %i' %scoutweap))
				es.cexec(ev['userid'], 'lastinv')
		
			player = playerlib.getPlayer(ev['userid'])
			awpweap = int(player.getWeaponIndex('weapon_awp'))
			if awpweap:
				gamethread.delayed(0.2, es.server.queuecmd,('es_remove %i' %awpweap))
				es.cexec(ev['userid'], 'lastinv')
				
			player = playerlib.getPlayer(ev['userid'])
			sg550weap = int(player.getWeaponIndex('weapon_sg550'))
			if sg550weap:
				gamethread.delayed(0.2, es.server.queuecmd,('es_remove %i' %sg550weap))
				es.cexec(ev['userid'], 'lastinv')
				
			player = playerlib.getPlayer(ev['userid'])
			g3sg1weap = int(player.getWeaponIndex('weapon_g3sg1'))
			if g3sg1weap:
				gamethread.delayed(0.2, es.server.queuecmd,('es_remove %i' %g3sg1weap))
				es.cexec(ev['userid'], 'lastinv')
			
def weapon_fire(ev):
	team = int(es.getplayerteam(ev['userid']))
	myPlayer = playerlib.getPlayer(ev['userid'])
	name = ev["es_username"]
	userid = int(ev['userid'])
	if team == 3:	
		if weaponfire == 1:
			if startsek == 1:
				if starthp == 0:
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultSpawn Protection: #lightgreenAktiviert!')
				if starthp == 1:
					myPlayer.health -= hplose
					if int(myPlayer.health) <= 20:
						es.centertell(ev['userid'], '!!!WARNUNG!!!')
						es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDu hast weniger als #green20 HP#default, sei ab nun vorsichtig beim Schiessen!')
						es.cexec(userid, 'play santasseek/warning.mp3')
						if int(myPlayer.health) <= 0:
							gamethread.delayed(0.1, es.server.queuecmd, ("es_give %s player_weaponstrip" % ev['userid']))
							gamethread.delayed(0.2, es.server.queuecmd, ("es_fire %s player_weaponstrip strip" % ev['userid']))
							es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultschoss sich Kampfunfaehig!' % name)
							if funnoclip == 1:
								es.server.queuecmd('est_noclip %s 1' % userid)
								
			if startsek == 0:
				myPlayer.health -= hplose
				if int(myPlayer.health) <= 20:
					es.centertell(ev['userid'], '!!!WARNUNG!!!')
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDu hast weniger als #green20 HP#default, sei ab nun vorsichtig beim Schiessen!')
					es.cexec(userid, 'play santasseek/warning.mp3')
					if int(myPlayer.health) <= 0:
						gamethread.delayed(0.1, es.server.queuecmd, ("es_give %s player_weaponstrip" % ev['userid']))
						gamethread.delayed(0.2, es.server.queuecmd, ("es_fire %s player_weaponstrip strip" % ev['userid']))
						es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultschoss sich Kampfunfaehig!' % name)
						if funnoclip == 1:
							es.server.queuecmd('est_noclip %s 1' % userid)
		
def player_hurt(ev):
	if weaponfire == 1:
		hp = int(ev['dmg_health']) * int(vampirehealth) / 100
		es.server.cmd("est_HealthAdd %s %s" % (ev['attacker'], hp))
	
def player_say(ev):
	if ev['text'] == '!regeln':
		popuplib.send('rules', ev['userid'])

	if ev['text'] == '!info':
		popuplib.send('info1', ev['userid'])
	
	team = int(es.getplayerteam(ev['userid']))
	if team == 2:
		if ev['text'] == '!chatt':
			popuplib.send('chatt', ev['userid'])
			
		if ev['text'] == '!escape':
			steamid1 = ev["es_steamid"]
			if entkommenmod == 1:
				if not benutzt.has_key(steamid1):
					benutzt[steamid1] = {}
					benutzt[steamid1]["used"] = 0
				if benutzt[steamid1]["used"] == 0:
					benutzt[steamid1]["used"] = 1
					randescape = random.randint(1, 2)
					if ev["es_userdead"] == "0":
						if randescape == 1:
							for x in es.getUseridList():
								if int(es.getplayerteam(x)) == 3:
									es.setplayerprop(x, 'CBaseEntity.m_CollisionGroup', 2)
									es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #defaultDie Hider haben nun 20 Sek um zu entkommen!')
									gamethread.delayed(20, es.setplayerprop, (x, 'CBaseEntity.m_CollisionGroup', 5))
									gamethread.delayed(20, es.msg, ('#multi', '#green[ #lightgreenSantas Seek #green] #defaultDie Zeit ist nun abgelaufen!'))
						if randescape == 2:
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDein Antrag wurde abgelehnt!')
					else:
						es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTote muessen nicht mehr entkommen!')
				else:
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDu kannst nur einmal Pro Runde dein Glueck versuchen!')
			
			if entkommenmod == 0:
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultEscape: #lightgreenWurde Deaktiviert!')
			
		if ev['text'] == '!freeze':	
			if spielereinfrieren == 1:
				if ev["es_userdead"] == "0":
					es.server.queuecmd('est_freeze %s 1' % ev['userid'])
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultFreeze: #lightgreenAktiviert!')
				else:
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultBei Toten lohnt das Einfrieren nicht mehr!')
					
			if spielereinfrieren == 0:
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultFreeze: #lightgreenWurde Deaktiviert!')
				
		if ev['text'] == '!unfreeze':
			if spielereinfrieren == 1:
				if ev["es_userdead"] == "0":
					es.server.queuecmd('est_freeze %s 0' % ev['userid'])
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultUnFreeze: #lightgreenAktiviert!')
				else:
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTote kann man nicht mehr Auftauen!')
					
			if spielereinfrieren == 0:
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultFreeze: #lightgreenWurde Deaktiviert!')
		
		if ev['text'] == '!whistle':
			if rundeunlimitiert == 1:
				if whistlemod == 1:
					steamid7 = ev["es_steamid"]
					if not benutzt.has_key(steamid7):
						benutzt[steamid7] = {}
						benutzt[steamid7]["used"] = 0
					if benutzt[steamid7]["used"] == 0:
						benutzt[steamid7]["used"] = 1
						if ev["es_userdead"] == "0":
							if randpop == 1:
								popuplib.send('whistle', ev['userid'])

							if randpop == 0:
								randsoundf = random.randint(1, 7)
								userid = ev['userid']
								if randsoundf == 1:
									name = es.getplayername(userid)
									es.emitsound('player', userid, 'santasseek/buzzer.mp3', 1.0, 0.7)
									es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenBuzzer #default!' % name)
		
								if randsoundf == 2:
									name = es.getplayername(userid)
									es.emitsound('player', userid, 'santasseek/caralarm.mp3', 1.0, 0.7)
									es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenAlarm #default!' % name)
	
								if randsoundf == 3:
									name = es.getplayername(userid)
									es.emitsound('player', userid, 'santasseek/cartoon.mp3', 1.0, 0.7)
									es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenUnd weg... #default!' % name)
	
								if randsoundf == 4:
									name = es.getplayername(userid)
									es.emitsound('player', userid, 'santasseek/evillaugh.mp3', 1.0, 0.7)
									es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenBoeses Lachen #default!' % name)
	
								if randsoundf == 5:
									name = es.getplayername(userid)
									es.emitsound('player', userid, 'santasseek/mammi.mp3', 1.0, 0.7)
									es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenMammi #default!' % name)
	
								if randsoundf == 6:
									name = es.getplayername(userid)
									es.emitsound('player', userid, 'santasseek/mw.mp3', 1.0, 0.7)
									es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenLaut! #default!' % name)
	
								if randsoundf == 7:
									name = es.getplayername(userid)
									es.emitsound('player', userid, 'santasseek/popi.mp3', 1.0, 0.7)
									es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenQuietsch #default!' % name)
									
						else:
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTote koennen nicht auf sich aufmerksam machen!')
					else:
						es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDu kannst nur einmal pro Runde auf dich aufmarksam machen!')
				
				if whistlemod == 1:
					if whistledamage == 1:
						if randpop == 0 or (randpop == 1):
							myPlayer = playerlib.getPlayer(ev['userid'])
							seekterror = int(es.getplayercount(2))
							randwhurt = random.randint(1, 4)
							if seekterror <= 10:
								if randwhurt == 1:
									es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDir ist nichts passiert!')
								if randwhurt == 2:
									es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDir ist nichts passiert!')
								if randwhurt == 3:
									myPlayer.health -= 1
									es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDu wurdest verwundet da die Hider sich bemerkbar gemacht haben!')
								if randwhurt == 4:
									es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDir ist nichts passiert!')
				
				if whistlemod == 0:
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultWhistle: #lightgreenWurde Deaktiviert!')
					
		if ev['text'] == '!whistle':
			if rundeunlimitiert == 0:
				if whistlemod == 1:
					if ev["es_userdead"] == "0":
						if randpop == 1:
							popuplib.send('whistle', ev['userid'])

						if randpop == 0:
							randsound = random.randint(1, 7)
							userid = ev['userid']
							if randsound == 1:
								name = es.getplayername(userid)
								es.emitsound('player', userid, 'santasseek/buzzer.mp3', 1.0, 0.7)
								es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenBuzzer #default!' % name)
		
							if randsound == 2:
								name = es.getplayername(userid)
								es.emitsound('player', userid, 'santasseek/caralarm.mp3', 1.0, 0.7)
								es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenAlarm #default!' % name)
	
							if randsound == 3:
								name = es.getplayername(userid)
								es.emitsound('player', userid, 'santasseek/cartoon.mp3', 1.0, 0.7)
								es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenUnd weg... #default!' % name)
	
							if randsound == 4:
								name = es.getplayername(userid)
								es.emitsound('player', userid, 'santasseek/evillaugh.mp3', 1.0, 0.7)
								es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenBoeses Lachen #default!' % name)
	
							if randsound == 5:
								name = es.getplayername(userid)
								es.emitsound('player', userid, 'santasseek/mammi.mp3', 1.0, 0.7)
								es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenMammi #default!' % name)
	
							if randsound == 6:
								name = es.getplayername(userid)
								es.emitsound('player', userid, 'santasseek/mw.mp3', 1.0, 0.7)
								es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenLaut! #default!' % name)
	
							if randsound == 7:
								name = es.getplayername(userid)
								es.emitsound('player', userid, 'santasseek/popi.mp3', 1.0, 0.7)
								es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenQuietsch #default!' % name)
								
					else:	
						es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTote koennen nicht auf sich aufmerksam machen!')
						
				if whistlemod == 0:
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultWhistle: #lightgreenWurde Deaktiviert!')
		
		if ev['text'] == '!noblock':
			if blocknoblock == 1:
				userid = ev['userid']		
				if ev["es_userdead"] == "0":
					es.setplayerprop(userid, 'CBaseEntity.m_CollisionGroup', 2)
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultNoBlock: #lightgreenAktiviert!')
				else:
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTote sind schon durchlaufbar!')
			
			if blocknoblock == 0:
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultBlock: #lightgreenWurde Deaktiviert!')
					
		if ev['text'] == '!block':
			userid = ev['userid']
			if blocknoblock == 1:
				if ev["es_userdead"] == "0":
					es.setplayerprop(userid, 'CBaseEntity.m_CollisionGroup', 5)
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultBlock: #lightgreenAktiviert!')
				else:
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTote koennen nicht Blocken!')
					
			if blocknoblock == 0:
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultBlock: #lightgreenWurde Deaktiviert!')
			
		if ev['text'] == '!3person':
			userid = ev['userid']
			if drittepersonmod == 1:	
				if ev["es_userdead"] == "0":
					es.setplayerprop(userid, 'CBasePlayer.m_hObserverTarget', 0)
					es.setplayerprop(userid, 'CBasePlayer.m_iObserverMode', 1)
					es.setplayerprop(userid, 'CBasePlayer.localdata.m_Local.m_bDrawViewmodel', 0)
					es.setplayerprop(userid, 'CBasePlayer.m_iFOV', 100)
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultThird Person: #lightgreenAktiviert!')
				else:
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTote koennen sich nicht in der dritten Person betrachten!')
					
			if drittepersonmod == 0:
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultThird Person: #lightgreenWurde Deaktiviert!')
					
		if ev['text'] == '!1person':
			userid = ev['userid']
			if drittepersonmod == 1:
				if ev["es_userdead"] == "0":
					es.setplayerprop(userid, 'CBasePlayer.m_hObserverTarget', 0)
					es.setplayerprop(userid, 'CBasePlayer.m_iObserverMode', 0)
					es.setplayerprop(userid, 'CBasePlayer.localdata.m_Local.m_bDrawViewmodel', 1)
					es.setplayerprop(userid, 'CBasePlayer.m_iFOV', 90)
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultFirst Person: #lightgreenAktiviert!')
				else:
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTote sind schon in der Ego Perspektive!')
					
			if drittepersonmod == 0:
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultThird Person: #lightgreenWurde Deaktiviert!')
	
	if team == 3:
		if ev['text'] == '!chatct':
			popuplib.send('chatct', ev['userid'])
	
	if ev['text'] == '!seeker':	
		if teamwechsel == 1:
			if int(ev['es_userteam']) == 2:
				es.server.queuecmd('es_changeteam %s 3' % ev['userid'])
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #default Du bist zu den Seekern gewechselt!')
			else:
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #default Du bist schon in diesem Team!')
				
		if teamwechsel == 0:
			es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTeamswap: #lightgreenWurde Deaktiviert!')
	
	if ev['text'] == '!hider':
		if teamwechsel == 1:
			if int(ev['es_userteam']) == 3:
				es.server.queuecmd('es_changeteam %s 2' % ev['userid'])
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #default Du bist zu den Hidern gewechselt!')
			else:
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #default Du bist schon in diesem Team!')
				
		if teamwechsel == 0:
			es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTeamswap: #lightgreenWurde Deaktiviert!')
			
	if ev['text'] == '!seeker':
		if spielerafk == 1:		
			if int(ev['es_userteam']) == 1:
				gamethread.delayed(1, es.server.queuecmd, ('es_changeteam %s 3' % ev['userid']))
				gamethread.delayed(1, es.tell, (ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #default Du bist zu den #lightgreenSeekern #defaultgewechselt!'))
				
		if spielerafk == 0:
			es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTeamswap AFK: #lightgreenWurde Deaktiviert!')
	
	if ev['text'] == '!hider':
		if spielerafk == 1:	
			if int(ev['es_userteam']) == 1:
				gamethread.delayed(1, es.server.queuecmd, ('es_changeteam %s 2' % ev['userid']))
				gamethread.delayed(1, es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #default Du bist zu den #lightgreenHidern #defaultgewechselt!'))
				
		if spielerafk == 0:
			es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTeamswap AFK: #lightgreenWurde Deaktiviert!')
	
	if ev['text'] == '!afk':
		if spielerafk == 1:	
			if int(ev['es_userteam']) == 3:
				gamethread.delayed(1, es.server.queuecmd, ('es_changeteam %s 1' % ev['userid']))
				
		if spielerafk == 0:
			es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTeamswap AFK: #lightgreenWurde Deaktiviert!')
	
	if ev['text'] == '!afk':
		if spielerafk == 1:	
			if int(ev['es_userteam']) == 2:
				gamethread.delayed(1, es.server.queuecmd, ('es_changeteam %s 1' % ev['userid']))
				
		if spielerafk == 0:
			es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultTeamswap AFK: #lightgreenWurde Deaktiviert!')
			
	if ev['text'] == '!listmaps':
		popuplib.send('mappopup', ev['userid'])
		
def round_end(ev):
	if winnersound == 1:
		if int(ev['winner']) == 2:
			es.cexec_all('play santasseek/terwin.wav')
	
	if winnersound == 1:
		if int(ev['winner']) == 3:
			es.cexec_all('play santasseek/ctwin.wav')
			
	aliveTs = playerlib.getPlayerList('#t,#alive')
	for i in range(0, len(aliveTs)):
		es.server.queuecmd('est_killadd %s 10' % aliveTs[i])
		es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #defaultAlle ueberlebenden Hider bekommen #lightgreen10 Punkte #default!')
		
	gamethread.cancelDelayed('five')
	gamethread.cancelDelayed('four')
	gamethread.cancelDelayed('three')
	gamethread.cancelDelayed('two')
	gamethread.cancelDelayed('one')
	
	if startfreeze == 1:
		gamethread.cancelDelayed('ten')
		gamethread.cancelDelayed('los')
		
	gamethread.cancelDelayed('changehp')
		
def whistle (userid, choice, popupid):
	if choice == 1:
		name = es.getplayername(userid)
		es.emitsound('player', userid, 'santasseek/buzzer.mp3', 1.0, 0.7)
		es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenBuzzer #default!' % name)
	
	if choice == 2:	
		name = es.getplayername(userid)
		es.emitsound('player', userid, 'santasseek/caralarm.mp3', 1.0, 0.7)
		es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenAlarm #default!' % name)
	
	if choice == 3:
		name = es.getplayername(userid)
		es.emitsound('player', userid, 'santasseek/cartoon.mp3', 1.0, 0.7)
		es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenUnd weg... #default!' % name)
	
	if choice == 4:
		name = es.getplayername(userid)
		es.emitsound('player', userid, 'santasseek/evillaugh.mp3', 1.0, 0.7)
		es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenBoeses Lachen #default!' % name)
	
	if choice == 5:
		name = es.getplayername(userid)
		es.emitsound('player', userid, 'santasseek/mammi.mp3', 1.0, 0.7)
		es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenMammi #default!' % name)
	
	if choice == 6:	
		name = es.getplayername(userid)
		es.emitsound('player', userid, 'santasseek/mw.mp3', 1.0, 0.7)
		es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenLaut! #default!' % name)
	
	if choice == 7:
		name = es.getplayername(userid)
		es.emitsound('player', userid, 'santasseek/popi.mp3', 1.0, 0.7)
		es.msg('#multi', '#green[ #lightgreenSantas Seek #green] #lightgreen%s #defaultmachte sich bemerkbar, durch den Sound #lightgreenQuietsch #default!' % name)
		
def chatt (userid, choice, popupid):
	if choice == 1:
		if blocknoblock == 1:
			es.sexec (userid, 'say "!noblock"')
		
	if choice == 2:
		if blocknoblock == 1:
			es.sexec (userid, 'say "!block"')
		
	if choice == 3:
		if drittepersonmod == 1:
			es.sexec (userid, 'say "!1person"')
		
	if choice == 4:
		if drittepersonmod == 1:
			es.sexec (userid, 'say "!3person"')
	
	if choice == 5:
		if whistlemod == 1:
			es.sexec (userid, 'say "!whistle"')
		
	if choice == 6:
		if spielereinfrieren == 1:
			es.sexec (userid, 'say "!freeze"')
		
	if choice == 7:
		if spielereinfrieren == 1:
			es.sexec (userid, 'say "!unfreeze"')
		
def chattt (userid, choice, popupid):
	if choice == 1:
		if teamwechsel == 1:
			es.sexec (userid, 'say "!seeker"')
	
	if choice == 2:
		if entkommenmod == 1:
			es.sexec (userid, 'say "!escape"')
	
	if choice == 3:
		es.sexec (userid, 'say "!info"')
		
	if choice == 4:
		es.sexec (userid, 'say "!listmaps"')
		
	if choice == 5:
		if spielerafk == 1:
			es.sexec (userid, 'say "!afk"')
		
def chatct (userid, choice, popupid):
	if choice == 1:
		es.sexec (userid, 'say "!info"')
		
	if choice == 2:
		es.sexec (userid, 'say "!listmaps"')
		
	if choice == 3:
		if teamwechsel == 1:
			es.sexec (userid, 'say "!hider"')
		
	if choice == 4:
		if spielerafk == 1:
			es.sexec (userid, 'say "!afk"')
		
def es_player_variable(ev):
	if ev['variable'] == 'cl_minmodels':
		if ev['status'] == 'success':
			if ev['value'] == '0':
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDer Wert fuer #lightgreencl_minmodels #defaultist korrekt!')
			else:
				if speckick == 0:
					gamethread.delayed(1, es.server.queuecmd, ('es_changeteam %s 1' % ev['userid']))
					popuplib.send('configpop', ev['userid'])
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDer Wert fuer #lightgreencl_minmodels #defaultstimmt nicht!')
				else:
					gamethread.delayed(1, es.server.queuecmd, ('kickid %s' % ev['userid']))
		else:
			if speckick == 0:
				gamethread.delayed(1, es.server.queuecmd, ('es_changeteam %s 1' % ev['userid']))
				popuplib.send('configpop', ev['userid'])
				es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDer Wert fuer #lightgreencl_minmodels #defaultstimmt nicht!')
			else:
				gamethread.delayed(1, es.server.queuecmd, ('kickid %s' % ev['userid']))

	if terrorradar == 1:
		team = int(es.getplayerteam(ev['userid']))
		if team == 3:
			if ev['variable'] == 'cl_radaralpha':
				if ev['status'] == 'success':
					if ev['value'] == '0':
						es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDer Wert fuer #lightgreencl_radaralpha #defaultist korrekt!')
					else:
						if speckick == 0:
							gamethread.delayed(1, es.server.queuecmd, ('es_changeteam %s 1' % ev['userid']))
							popuplib.send('configpop', ev['userid'])
							es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDer Wert fuer #lightgreencl_radaralpha #defaultstimmt nicht!')
						else:
							gamethread.delayed(1, es.server.queuecmd, ('kickid %s' % ev['userid']))
				else:
					if speckick == 0:
						gamethread.delayed(1, es.server.queuecmd, ('es_changeteam %s 1' % ev['userid']))
						popuplib.send('configpop', ev['userid'])
						es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDer Wert fuer #lightgreencl_radaralpha #defaultstimmt nicht!')
					else:
						gamethread.delayed(1, es.server.queuecmd, ('kickid %s' % ev['userid']))
	else:
		if ev['variable'] == 'cl_radaralpha':
			if ev['status'] == 'success':
				if ev['value'] == '0':
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDer Wert fuer #lightgreencl_radaralpha #defaultist korrekt!')
				else:
					if speckick == 0:
						gamethread.delayed(1, es.server.queuecmd, ('es_changeteam %s 1' % ev['userid']))
						popuplib.send('configpop', ev['userid'])
						es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDer Wert fuer #lightgreencl_radaralpha #defaultstimmt nicht!')
					else:
						gamethread.delayed(1, es.server.queuecmd, ('kickid %s' % ev['userid']))
			else:
				if speckick == 0:
					gamethread.delayed(1, es.server.queuecmd, ('es_changeteam %s 1' % ev['userid']))
					popuplib.send('configpop', ev['userid'])
					es.tell(ev['userid'], '#multi', '#green[ #lightgreenSantas Seek #green] #defaultDer Wert fuer #lightgreencl_radaralpha #defaultstimmt nicht!')
				else:
					gamethread.delayed(1, es.server.queuecmd, ('kickid %s' % ev['userid']))
				
	if ev['variable'] == "cl_downloadfilter":
		if ev['status'] == "success":
			if ev['value'] != "all":
				if speckick == 0:
					es.changeteam(ev['userid'], '1')
				else:
					gamethread.delayed(1, es.server.queuecmd, ('kickid %s' % ev['userid']))
					
def player_jump(ev):
	if jumpfun == 1:
		userid = int(ev['userid'])
		es.cexec(userid, 'play santasseek/mjump.wav')